Token Price by Token Addresses
curl --request GET \
--url https://api.coingecko.com/api/v3/onchain/simple/networks/{network}/token_price/{addresses} \
--header 'x-cg-demo-api-key: <api-key>'{
"data": {
"id": "49dd0b90-d99d-48b6-8fe2-03e826fbcef2",
"type": "simple_token_price",
"attributes": {
"token_prices": {
"0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2": "2084.57379936447"
},
"market_cap_usd": {
"0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2": "4706652516.682727"
},
"h24_volume_usd": {
"0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2": "313441016.145429"
},
"h24_price_change_percentage": {
"0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2": "-1.8867250098940773"
},
"total_reserve_in_usd": {
"0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2": "1015673598.896450024556193850116628967"
},
"last_trade_timestamp": {
"0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2": "1779882383"
}
}
}
}Price
Token Price by Token Addresses
To get token price based on the provided token contract address on a network
GET
/
onchain
/
simple
/
networks
/
{network}
/
token_price
/
{addresses}
Token Price by Token Addresses
curl --request GET \
--url https://api.coingecko.com/api/v3/onchain/simple/networks/{network}/token_price/{addresses} \
--header 'x-cg-demo-api-key: <api-key>'{
"data": {
"id": "49dd0b90-d99d-48b6-8fe2-03e826fbcef2",
"type": "simple_token_price",
"attributes": {
"token_prices": {
"0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2": "2084.57379936447"
},
"market_cap_usd": {
"0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2": "4706652516.682727"
},
"h24_volume_usd": {
"0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2": "313441016.145429"
},
"h24_price_change_percentage": {
"0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2": "-1.8867250098940773"
},
"total_reserve_in_usd": {
"0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2": "1015673598.896450024556193850116628967"
},
"last_trade_timestamp": {
"0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2": "1779882383"
}
}
}
}Notes
- Prices are returned in USD. Addresses not found in GeckoTerminal will be ignored.
- Supports up to 30 contract addresses per request. Analyst plan or above supports up to 100.
- Unverified token market cap returns
null. Usemcap_fdv_fallback=trueto return FDV value (as seen on GeckoTerminal) when market cap data is unavailable. - GeckoTerminal’s routing selects the best pool for pricing based on liquidity and activity. For full control, use Specific Pool Data with a specific pool address.
- Set
include_inactive_source=trueto expand the search to recently active pools (up to 1 year) if no top pool is found.
SDK Examples
const response = await client.onchain.simple.networks.tokenPrice.getAddresses('0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2', {
network: 'eth',
});
console.log(JSON.stringify(response, null, 2));
Authorizations
headerAuthqueryAuth
Learn how to set up your API key
Path Parameters
Network ID.
*refers to /onchain/networks.
Token contract address, comma-separated if more than one token contract address.
Query Parameters
Include market capitalization.
Default: false
Return FDV if market cap is not available.
Default: false
Include 24hr volume.
Default: false
Include 24hr price change.
Default: false
Include total reserve in USD.
Default: false
Include token price data from inactive pools using the most recent swap.
Default: false
Response
200 - application/json
Token price data
Show child attributes
Show child attributes
Was this page helpful?
⌘I

